# SIPSubscribeHandler Class Reference

`#include <handlers.h>`

Inheritance diagram for SIPSubscribeHandler:

[legend]
Collaboration diagram for SIPSubscribeHandler:
[legend]

## Public Member Functions

| SIPSubscribeHandler (SIPEndPoint &ep, const SIPSubscribe::Params &params)
| ~SIPSubscribeHandler ()
virtual SIPTransaction * | CreateTransaction (OpalTransport &)
virtual void | OnReceivedOK (SIPTransaction &transaction, SIP_PDU &response)
virtual PBoolean | OnReceivedNOTIFY (SIP_PDU &response)
virtual void | OnFailed (SIP_PDU::StatusCodes)
virtual SIPEventPackage | GetEventPackage () const
void | UpdateParameters (const SIPSubscribe::Params &params)
const SIPSubscribe::Params & | GetParams () const

## Protected Member Functions

virtual void | WriteTransaction (OpalTransport &transport, bool &succeeded)
virtual void | SendStatus (SIP_PDU::StatusCodes code, State state)
bool | DispatchNOTIFY (SIP_PDU &request, SIP_PDU &response)

## Protected Attributes

SIPSubscribe::Params | m_parameters
bool | m_unconfirmed
SIPEventPackageHandler * | m_packageHandler

## Constructor & Destructor Documentation

SIPSubscribeHandler::SIPSubscribeHandler | ( | SIPEndPoint & | ep,
|  | const SIPSubscribe::Params & | params |
| ) |  |  |

SIPSubscribeHandler::~SIPSubscribeHandler | ( |  | ) |

## Member Function Documentation

virtual SIPTransaction* SIPSubscribeHandler::CreateTransaction | ( | OpalTransport & |  | ) | `[virtual]`

Reimplemented from SIPHandler.

bool SIPSubscribeHandler::DispatchNOTIFY | ( | SIP_PDU & | request,
|  | SIP_PDU & | response |
| ) |  |  | `[protected]`

virtual SIPEventPackage SIPSubscribeHandler::GetEventPackage | ( |  | ) | const`[inline, virtual]`

Reimplemented from SIPHandler.

const SIPSubscribe::Params& SIPSubscribeHandler::GetParams | ( |  | ) | const`[inline]`

virtual void SIPSubscribeHandler::OnFailed | ( | SIP_PDU::StatusCodes |  | ) | `[virtual]`

Reimplemented from SIPHandler.

virtual PBoolean SIPSubscribeHandler::OnReceivedNOTIFY | ( | SIP_PDU & | response | ) | `[virtual]`

Reimplemented from SIPHandler.

virtual void SIPSubscribeHandler::OnReceivedOK | ( | SIPTransaction & | transaction,
|  | SIP_PDU & | response |
| ) |  |  | `[virtual]`

Reimplemented from SIPHandler.

virtual void SIPSubscribeHandler::SendStatus | ( | SIP_PDU::StatusCodes | code,
|  | State | state |
| ) |  |  | `[protected, virtual]`

void SIPSubscribeHandler::UpdateParameters | ( | const SIPSubscribe::Params & | params | ) |

virtual void SIPSubscribeHandler::WriteTransaction | ( | OpalTransport & | transport,
|  | bool & | succeeded |
| ) |  |  | `[protected, virtual]`

## Field Documentation

SIPEventPackageHandler* SIPSubscribeHandler::m_packageHandler `[protected]`

SIPSubscribe::Params SIPSubscribeHandler::m_parameters `[protected]`

bool SIPSubscribeHandler::m_unconfirmed `[protected]`

The documentation for this class was generated from the following file:

- handlers.h